ProjectControllerGetPublishTargetsWithHistory Method |
POST /Project/GetPublishTargetsWithHistory
Gets all the publish target projects of the specified source entity IDs.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetPublishTargetsWithHistory")]
public IActionResult GetPublishTargetsWithHistory(
[FromBodyAttribute] IList<Guid> entityIds,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetPublishTargetsWithHistory")>
Public Function GetPublishTargetsWithHistory (
<FromBodyAttribute> entityIds As IList(Of Guid),
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetPublishTargetsWithHistory")]
IActionResult^ GetPublishTargetsWithHistory(
[FromBodyAttribute] IList<Guid>^ entityIds,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetPublishTargetsWithHistory")>]
member GetPublishTargetsWithHistory :
[<FromBodyAttribute>] entityIds : IList<Guid> *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- entityIds
- Type: System.Collections.GenericIListGuid
A ListT of entity IDs. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultAn array of
KeyValuesPairData, or a status code indicating the reason for failure.
See Also